<?php

namespace Pinpoint\GoogleMaps\Block;

class GoogleMaps extends \Magento\Framework\View\Element\Template
{
    const GOOGLEMAPS_API_KEY = 'google_maps/google_maps_api/gmaps_api_key';

    /**
     *  @return string
     */
    public function getGoogleMapsApiKey()
    {
        return $this->_scopeConfig->getValue(self::GOOGLEMAPS_API_KEY);
    }

    /**
     * @return string
     */
    public function getLongitude()
    {
        return $this->getData('long');
    }

    /**
     * @return string
     */
    public function getLatitude()
    {
        return $this->getData('lat');
    }
}
